Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.alepc.api
Class CacheSpecValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.connecterra.ale.api.ALEException
                  com.connecterra.alepc.api.CacheSpecValidationException

All Implemented Interfaces:
  java.io.Serializable

public class CacheSpecValidationException
extends ALEException

This exception is thrown by the ALEPC API methods which take an EPCCacheSpec argument if the spec is invalid. The detail message string will include more information about why the spec is invalid.

See Also:
  Serialized Form

Constructor Summary
`CacheSpecValidationException()`
`CacheSpecValidationException(java.lang.String message)`
`CacheSpecValidationException(java.lang.String message, java.lang.Throwable cause)`
`CacheSpecValidationException(java.lang.Throwable cause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheSpecValidationException

    public CacheSpecValidationException()

### CacheSpecValidationException

    public CacheSpecValidationException(java.lang.String message)

### CacheSpecValidationException

    public CacheSpecValidationException(java.lang.String message,
                                        java.lang.Throwable cause)

### CacheSpecValidationException

    public CacheSpecValidationException(java.lang.Throwable cause)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD